net.sourceforge.pmd.lang.java.xpath

## Class TypeOfFunction

- java.lang.Object
- - net.sourceforge.pmd.lang.java.xpath.TypeOfFunction

All Implemented Interfaces:
  org.jaxen.Function

    public class TypeOfFunction
    extends Object
    implements org.jaxen.Function

### Constructor Summary

Constructors
Constructor and Description
`TypeOfFunction()`

### Method Summary

Methods
`Object` `call(org.jaxen.Context context, List args)`
`static void` `registerSelfInSimpleContext()`
`static boolean` `typeof(Node n, String nodeTypeName, String fullTypeName, String shortTypeName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeOfFunction

    public TypeOfFunction()

### Method Detail

#### registerSelfInSimpleContext

    public static void registerSelfInSimpleContext()

#### call

    public Object call(org.jaxen.Context context,
              List args)
                throws org.jaxen.FunctionCallException

Specified by:
  `call` in interface `org.jaxen.Function`
Throws:
  `org.jaxen.FunctionCallException`

#### typeof

    public static boolean typeof(Node n,
                 String nodeTypeName,
                 String fullTypeName,
                 String shortTypeName)